Package com.meterware.pseudoserver

# Class HttpRequest

java.lang.Object
com.meterware.pseudoserver.HttpRequest

public class HttpRequest extends Object
Represents a single HTTP request, extracted from the input stream.

Since:
  1.6

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommand()`
Returns the command associated with this request.
`String[]`
`getParameter(String name)`
Returns the parameter with the specified name.
`String`
`getProtocol()`
Returns the protocol string specified in the message header for this request.
`String`
`getURI()`
Returns the URI specified in the message header for this request.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getCommand

public String getCommand()
Returns the command associated with this request.

### getURI

public String getURI()
Returns the URI specified in the message header for this request.

### getProtocol

public String getProtocol()
Returns the protocol string specified in the message header for this request.

### getParameter

public String[] getParameter(String name)
Returns the parameter with the specified name. If no such parameter exists, will return null.

### toString

public String toString()

Overrides:
  `toString` in class `Object`